Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class SoftKey

    java.lang.Object
      java.lang.ref.Reference
          java.lang.ref.SoftReference
              org.codehaus.groovy.grails.orm.hibernate.support.SoftKey

    public class SoftKey
    extends java.lang.ref.SoftReference

SoftReference key to be used with ConcurrentHashMap.

Authors:
  Lari Hotari

Constructor Summary
`SoftKey(java.lang.Object referent)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.ref.SoftReference
java.lang.ref.SoftReference#get(), java.lang.ref.SoftReference#clear(), java.lang.ref.SoftReference#isEnqueued(), java.lang.ref.SoftReference#enqueue(), java.lang.ref.SoftReference#wait(), java.lang.ref.SoftReference#wait(long), java.lang.ref.SoftReference#wait(long, int), java.lang.ref.SoftReference#equals(java.lang.Object), java.lang.ref.SoftReference#toString(), java.lang.ref.SoftReference#hashCode(), java.lang.ref.SoftReference#getClass(), java.lang.ref.SoftReference#notify(), java.lang.ref.SoftReference#notifyAll()

Methods inherited from class java.lang.ref.Reference
java.lang.ref.Reference#get(), java.lang.ref.Reference#clear(), java.lang.ref.Reference#isEnqueued(), java.lang.ref.Reference#enqueue(), java.lang.ref.Reference#wait(), java.lang.ref.Reference#wait(long), java.lang.ref.Reference#wait(long, int), java.lang.ref.Reference#equals(java.lang.Object), java.lang.ref.Reference#toString(), java.lang.ref.Reference#hashCode(), java.lang.ref.Reference#getClass(), java.lang.ref.Reference#notify(), java.lang.ref.Reference#notifyAll()

Constructor Detail

### SoftKey

    public SoftKey(java.lang.Object referent)

Method Detail

### equals

    @Override
    public boolean equals(java.lang.Object obj)

### hashCode

    @Override
    public int hashCode()

Groovy Documentation